# IModified

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Provides access to the [Modified](#modified) property and [ModifiedChanged](#modifiedchanged) event for controls that implement this interface.

{% tabs %}
{% tab title="C#" %}

```csharp
public interface IModified
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Interface IModified
```

{% endtab %}
{% endtabs %}

Using [IModified](/api/wisej.web/interfaces/wisej.web.imodified.md) allows developers to use uniform code to access the modified state event of a control.

```csharp

// Old code
if (control is TextBox)
return ((TextBox)control).Modifed;
else if (control is DateTimePicker)
return ((DateTimePicker)control).Modifed;
// etc...

// New code
return (control as IModified)?.Modified;

```

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Modified

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets a value that indicates that the control has been modified by the user since the control was created or its contents were last set.

## Events

### ![](/files/hsR4ok3152WyAf8J2C1u) ModifiedChanged

[EventHandler](https://docs.microsoft.com/dotnet/api/system.eventhandler) Fired when the value of the [Modified](#modified) property has changed.

## Implemented By

| Name                                                                                                                                          | Description                                                                                                                                                                                                                                                                                                                                                                                                                                       |
| --------------------------------------------------------------------------------------------------------------------------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| [CheckedListBox](/api/wisej.web/lists-and-grids/checkedlistbox.md)                                                                            | Displays a [ListBox](/api/wisej.web/lists-and-grids/listbox.md) in which a check box is displayed to the left of each item.                                                                                                                                                                                                                                                                                                                       |
| [ComboBox](/api/wisej.web/lists-and-grids/combobox.md)                                                                                        | Represents a combo box control.                                                                                                                                                                                                                                                                                                                                                                                                                   |
| [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md)                                                                          | Represents a control that allows the user to select or type a date and a time.                                                                                                                                                                                                                                                                                                                                                                    |
| [ListBox](/api/wisej.web/lists-and-grids/listbox.md)                                                                                          | Represents a control to display a list of items.                                                                                                                                                                                                                                                                                                                                                                                                  |
| [ListControl](/api/wisej.web/lists-and-grids/listcontrol.md)                                                                                  | Provides a common implementation of members for the [ListBox](/api/wisej.web/lists-and-grids/listbox.md) and [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) classes.                                                                                                                                                                                                                                                                      |
| [MaskedTextBox](/api/wisej.web/editors/maskedtextbox.md)                                                                                      | Uses a mask to distinguish between proper and improper user input.                                                                                                                                                                                                                                                                                                                                                                                |
| [TextBox](/api/wisej.web/editors/wisej.web.textbox.md)                                                                                        | Represents a text box control that allows the user to enter any value.                                                                                                                                                                                                                                                                                                                                                                            |
| [TextBoxBase](/api/wisej.web/editors/wisej.web.textboxbase.md)                                                                                | Implements the basic functionality required by text controls.                                                                                                                                                                                                                                                                                                                                                                                     |
| [DataGridViewComboBoxEditingControl](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxeditingcontrol.md)             | Represents a [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) control that can be hosted in a [DataGridViewComboBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcomboboxcell.md).                                                                                                                                                                                                                                |
| [DataGridViewDateTimePickerEditingControl](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickereditingcontrol.md) | Represents a [DateTimePicker](/api/wisej.web/editors/wisej.web.datetimepicker.md) control that can be hosted in a [DataGridViewDateTimePickerCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewdatetimepickercell.md).                                                                                                                                                                                                      |
| [DataGridViewMaskedTextBoxEditingControl](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxeditingcontrol.md)   | Represents a [MaskedTextBox](/api/wisej.web/editors/maskedtextbox.md) control that can be hosted in a [DataGridViewMaskedTextBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewmaskedtextboxcell.md) cell.                                                                                                                                                                                                               |
| [DataGridViewTextBoxEditingControl](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxeditingcontrol.md)               | Represents a [TextBox](/api/wisej.web/editors/wisej.web.textbox.md) control that can be hosted in a [DataGridViewTextBoxCell](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtextboxcell.md) cell when the cell's [WrapMode](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcellstyle.md#wrapmode) is set to [False](/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewtristate.md#fields). |
| [ListViewComboBox](/api/wisej.web/lists-and-grids/wisej.web.listviewcombobox.md)                                                              | The TreeViewComboBox control represents a [UserComboBox](/api/wisej.web/lists-and-grids/wisej.web.usercombobox.md) control with a [ListView](/api/wisej.web/lists-and-grids/listview.md) as the drop down panel.                                                                                                                                                                                                                                  |
| [TagTextBox](/api/wisej.web/editors/tagtextbox.md)                                                                                            | Represents a data field that displays a list of selectable and removable tags. The control recognizes tags as the user types and adds in front of the editable field.                                                                                                                                                                                                                                                                             |
| [TreeViewComboBox](/api/wisej.web/lists-and-grids/wisej.web.treeviewcombobox.md)                                                              | The TreeViewComboBox control represents a [UserComboBox](/api/wisej.web/lists-and-grids/wisej.web.usercombobox.md) control with a [TreeView](/api/wisej.web/lists-and-grids/treeview.md) as the drop down panel.                                                                                                                                                                                                                                  |
| [TypedTextBox](/api/wisej.web/editors/wisej.web.typedtextbox.md)                                                                              | Represents a text box control that allows the user to enter a typed value.                                                                                                                                                                                                                                                                                                                                                                        |
| [UserComboBox](/api/wisej.web/lists-and-grids/wisej.web.usercombobox.md)                                                                      | The UserComboBox control represents a [ComboBox](/api/wisej.web/lists-and-grids/combobox.md) control with a custom panel that drops down when the user clicks the down arrow.                                                                                                                                                                                                                                                                     |


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/interfaces/wisej.web.imodified.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
